package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.entity.TenantPaymentOrder.TenantPaymentType;
import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.common.page.QueryInfo;

public class TenantPaymentOrderQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "开始时间", required = false)
	private String orderStartDate;

	@ApiModelProperty(value = "截止时间", required = false)
	private String orderEndDate;

	@ApiModelProperty(value = "交易类型", required = false)
	private TenantPaymentType type;

	@ApiModelProperty(value = "老师编号", required = false)
	private Integer userId;
	
	@ApiModelProperty(value = "老师电话号码", required = false)
	private String phone;

	@ApiModelProperty(value = "交易状态", required = false)
	private DealStatusEnum status;

	@ApiModelProperty(value = "分部编号", required = false)
	private String organId;

	@ApiModelProperty(value = "支付方式", required = false)
	private String paymentChannel;

	public String getOrderStartDate() {
		return orderStartDate;
	}

	public void setOrderStartDate(String orderStartDate) {
		this.orderStartDate = orderStartDate;
	}

	public String getOrderEndDate() {
		return orderEndDate;
	}

	public void setOrderEndDate(String orderEndDate) {
		this.orderEndDate = orderEndDate;
	}

	public TenantPaymentType getType() {
		return type;
	}

	public void setType(TenantPaymentType type) {
		this.type = type;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public DealStatusEnum getStatus() {
		return status;
	}

	public void setStatus(DealStatusEnum status) {
		this.status = status;
	}

	public String getOrganId() {
		return organId;
	}

	public void setOrganId(String organId) {
		this.organId = organId;
	}

	public String getPaymentChannel() {
		return paymentChannel;
	}

	public void setPaymentChannel(String paymentChannel) {
		this.paymentChannel = paymentChannel;
	}

}
